FlexBar2.ButtonInterface = FlexBar2.OO.Interface 
	{
		Generate = "function" -- Button generation method which creates the button's frames, this one is inherited in a separate mixins then the other ones and the mixin used can be changed in the options, allowing people to choose a custom theme, as long as the theme complies to my 'norms'
		Theme = "string", -- Name of the theme, should be declared in the theme's mixin.


		-- The following methods are declared in FlexBar2's Control mixin, these should never be touched. A theme is suposed to comply to flexbar and NOT the reverse. (usualy, as long as you use the same naming sheme as the flexbar theme there should be no problems at all.)
		Create = "function",
		Destroy = "function",

		Show = "function",
		Hide = "function",

		Lock = "function",
		Unlock = "function",

		LockIcon = "function",
		UnlockIcon = "function",

		SetScale = "function",

		SetText = "function",


		-- The following methods are declared in FLexBar2's event mixin, these should never be touched.
		StartDragging = "function",
		StopDragging = "function",


		-- The following functions should be mixed in by AceEvent, these shouldn't be touched
		RegisterEvent = "function",
		UnregisterEvent = "function",
		UnregisterAllEvents = "function",
	}
